-module(test).
-export([test/0]).

test() ->
	Str="abcdaf",
	case regexp:matches(Str, "\\*") of
      	{match,[{_,1}]} ->
        				Str;
		_ ->
				      throw({error, {string, Str ++ " is an incorrect DT pattern "
		                 "as * should appear once"}})
	end.